%global momorel	1
Summary:	Macros to process XSL formatting objects.
Name:		passivetex
Version:	1.25
Release:	%{momorel}m
License:	Public Domain
Group:		Applications/Publishing
#%%NoSource 0	http://www.tei-c.org.uk/Software/passivetex/passivetex.zip 03e05ab33d3abe1a316c8d9877c315d6
Source0:        passivetex-1.25.zip
Patch0:		passivetex-1.21-leader.patch
URL:		http://www.tei-c.org.uk/Software/passivetex/
BuildArch:	noarch
Prereq:		tetex
Requires:	xmltex >= 0.020000118-4
BuildRequires:	xmltex >= 0.020000118-4
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%define	mydir	%{_datadir}/texmf/tex/xmltex/passivetex

%description
PassiveTeX is a library of TeX macros which can be used to process an
XML document which results from an XSL transformation to formatting
objects.


%prep
%setup -q -n %{name}
%patch0 -p1 -b .leader

%install
rm -rf %{buildroot}
install -d %{buildroot}%{mydir}
install *.sty *.xmt %{buildroot}%{mydir}

%clean
rm -rf %{buildroot}

%post
/usr/bin/env - PATH=$PATH:%{_bindir} texhash > /dev/null 2>&1
/usr/bin/env - PATH=$PATH:%{_bindir} fmtutil --cnffile %{_datadir}/texmf/tex/xmltex/xmltexfmtutil.cnf --all > /dev/null 2>&1
exit 0

%postun
/usr/bin/env - PATH=$PATH:%{_bindir} texhash > /dev/null 2>&1
/usr/bin/env - PATH=$PATH:%{_bindir} fmtutil --cnffile %{_datadir}/texmf/tex/xmltex/xmltexfmtutil.cnf --all > /dev/null 2>&1
exit 0

%triggerin -- tetex-latex
/usr/bin/env - PATH=$PATH:%{_bindir} fmtutil --cnffile %{_datadir}/texmf/tex/xmltex/xmltexfmtutil.cnf --all > /dev/null 2>&1
exit 0

%files
%defattr(644,root,root,755)
%{mydir}

%changelog
* Sat Mar 12 2005 Yasuo Ohgaki <yoghaki@momonga-linux.org>
- (1.25-1m)
- sync with FC3

* Wed Apr 15 2004 Toru Hoshina <t@momonga-linux.org>
- (1.24-3m)
- import from FC1 for anaconda.
- When I import this software, I changed License declaration from LPPL to Public Domain.
  pls see LICENSE in passivetex.zip.

* Fri Jul  4 2003 Tim Waugh <twaugh@redhat.com> 1.24-2.1
- Rebuilt.

* Fri Jul  4 2003 Tim Waugh <twaugh@redhat.com> 1.24-2
- URL changed (bug #97838).

* Thu May  9 2003 Tim Waugh <twaugh@redhat.com> 1.24-1
- 1.24.

* Thu Mar  6 2003 Tim Waugh <twaugh@redhat.com> 1.23-1
- 1.23.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Oct 16 2002 Tim Waugh <twaugh@redhat.com> 1.21-1
- 1.21.
- Fix leader length.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Feb 21 2002 Tim Waugh <twaugh@redhat.com> 1.12-3
- Fix group (bug #60178).

* Thu Feb 21 2002 Tim Waugh <twaugh@redhat.com> 1.12-2
- Rebuild in new environment.

* Tue Feb 12 2002 Tim Waugh <twaugh@redhat.com> 1.12-1
- New tarball.
- DEBUg and euro patches no longer required.

* Thu Jan 10 2002 Tim Waugh <twaugh@redhat.com> 1.11-5
- New tarball.
- Fix euro support.

* Wed Jan 09 2002 Tim Powers <timp@redhat.com> 1.11-4
- automated rebuild

* Thu Dec 13 2001 Tim Waugh <twaugh@redhat.com> 1.11-3
- Fix a typo in fotex.sty.

* Wed Dec 12 2001 Tim Waugh <twaugh@redhat.com> 1.11-2
- Trigger recreation of the format file on tetex-latex.

* Fri Dec  7 2001 Tim Waugh <twaugh@redhat.com> 1.11-1
- New upstream release.  Incorporates the body-start() fix.

* Sat Oct  6 2001 Tim Waugh <twaugh@redhat.com> 1.6-2
- New archive from Sebastian.
- Run fmtutil in %%post and %%postun.
- Require new xmltex.
- Fix body-start().

* Sat Oct  6 2001 Tim Waugh <twaugh@redhat.com> 1.6-1
- Built for Red Hat Linux.  Package from PLD.

* Sat Oct  6 2001 PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: passivetex.spec,v $
Revision 1.8  2001/08/21 10:12:42  wrobell
- ver. 1.6
- stb

Revision 1.7  2001/03/27 16:55:44  wiget
Requires xmltex

Revision 1.6  2001/03/27 16:53:29  wiget
changed Source URL, updated to 1.5 version, more files in package; now passivetex is more powerfull and work ;-)

Revision 1.5  2001/01/27 03:25:36  kloczek
- added tetex to Prerq,
- simplified %post, %postun.

Revision 1.4  2001/01/27 00:08:39  klakier
- added URL

Revision 1.3  2001/01/27 00:07:47  klakier
- added URL

Revision 1.2  2001/01/24 12:41:17  klakier
- small fixes

Revision 1.1  2001/01/24 12:31:43  klakier
- initial
